Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1156510

Summary: [rfe] use dnf instead of yum (if dnf is installed)
Product: [Fedora] Fedora Reporter: Rahul Sundaram <metherid>
Component: subscription-managerAssignee: candlepin-bugs
Status: CLOSED ERRATA QA Contact: John Sefler <jsefler>
Severity: unspecified Docs Contact:
Priority: high    
Version: 27CC: alikins, awood, bbreard, bkearney, carl, csnyder, dgoodwin, dmach, jbowes, jmracek, redakkan, salmy, skallesh
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: subscription-manager-1.24.2-1.fc27 subscription-manager-1.24.2-1.fc28 subscription-manager-1.24.2-1.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-15 02:12:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1121117, 1156491    

Description Rahul Sundaram 2014-10-24 15:29:30 UTC
Description of problem:


Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

Please switch from  yum/yum-utils to dnf/dnf-plugins-core. Thanks!

Comment 1 Jaroslav Mracek 2016-01-06 14:55:05 UTC
Please could you confirm, that the last version is fully compatible with dnf. Please than close the bug report.

Comment 2 Adrian Likins 2016-02-19 16:53:40 UTC
upstream master has a dnf plugin included now.

There are a few minor usages of yum python modules to be removed, but
afaict current master subscription-manager works on f23.

Comment 3 Fedora Admin XMLRPC Client 2016-02-19 18:07:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Update System 2018-11-05 22:55:31 UTC
subscription-manager-1.24.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-075821dc8f

Comment 10 Fedora Update System 2018-11-05 22:56:09 UTC
subscription-manager-1.24.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a675aa39fc

Comment 11 Fedora Update System 2018-11-05 22:56:52 UTC
subscription-manager-1.24.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-91ba32a0ff

Comment 12 Fedora Update System 2018-11-06 22:02:04 UTC
subscription-manager-1.24.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-075821dc8f

Comment 13 Fedora Update System 2018-11-06 22:45:56 UTC
subscription-manager-1.24.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-91ba32a0ff

Comment 14 Fedora Update System 2018-11-06 23:28:31 UTC
subscription-manager-1.24.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a675aa39fc

Comment 15 Fedora Update System 2018-11-15 02:12:39 UTC
subscription-manager-1.24.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-11-15 02:28:54 UTC
subscription-manager-1.24.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-11-15 03:14:28 UTC
subscription-manager-1.24.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Red Hat Bugzilla 2023-09-14 02:49:35 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days